Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5116)
@@ -56,8 +56,8 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_traceurs,option_tmin,seuil_tag_tmin_ls, &
+    use isotrac_mod, ONLY: option_traceurs,option_tmin,seuil_tag_tmin_ls, &
 &       izone_poubelle, option_cond,izone_cond,index_iso, index_zone,izone_oce,izone_ddft
-    use isotrac_routines_mod, only: iso_recolorise_condensation
-    use isotopes_routines_mod, only: condiso_liq_ice_vectall_trac
+    use isotrac_routines_mod, ONLY: iso_recolorise_condensation
+    use isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
   USE isotopes_verif_mod, ONLY: iso_verif_traceur_nostop,iso_verif_traceur
@@ -329,10 +329,10 @@
   rneblsvol(1:klon,1:klev)=0.0
 
-  if (prt_level>9)write(lunout,*)'NUAGES4 A. JAM'
+  if (prt_level>9)WRITE(lunout,*)'NUAGES4 A. JAM'
   IF (appel1er) THEN
      CALL getin_p('iflag_oldbug_fisrtilp',iflag_oldbug_fisrtilp)
      CALL getin_p('iflag_evap_prec',iflag_evap_prec)
      CALL getin_p('seuil_neb',seuil_neb)
-     write(lunout,*)' iflag_oldbug_fisrtilp =',iflag_oldbug_fisrtilp 
+     WRITE(lunout,*)' iflag_oldbug_fisrtilp =',iflag_oldbug_fisrtilp
 
      WRITE(lunout,*) 'fisrtilp, ninter:', ninter
@@ -350,17 +350,17 @@
         ! cam verif 
 #ifdef ISOVERIF
-        write(*,*) 'ilp 310'
+        WRITE(*,*) 'ilp 310'
           do k=1,klev
            do i=1,klon             
-            if (iso_eau.gt.0) then        
+            if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                          'il pleut 205',errmax,errmaxrel)
-            endif !if (iso_eau.gt.0) then
-            if (iso_HDO.gt.0) then    
-             if (q(i,k).gt.ridicule) then
+            endif !if (iso_eau.gt.0) THEN
+            if (iso_HDO.gt.0) THEN
+             if (q(i,k).gt.ridicule) THEN
                CALL iso_verif_aberrant(xt(iso_HDO,i,k)/q(i,k), &
                  'il pleut 210')
-             endif !if (zq(i).gt.ridicule) then
-            endif  !if (iso_HDO.gt.0) then
+             endif !if (zq(i).gt.ridicule) THEN
+            endif  !if (iso_HDO.gt.0) THEN
            enddo !do k=1,klev
           enddo !do i=1,klon
@@ -371,5 +371,5 @@
            enddo
         enddo
-        write(*,*) 'ilp 331'
+        WRITE(*,*) 'ilp 331'
 #endif
          ! end cam verif
@@ -508,15 +508,15 @@
        ! verif en debut de boucle
 #ifdef ISOVERIF
-       !write(*,*) 'ilp 478: boucle en k: k=',k         
+       !WRITE(*,*) 'ilp 478: boucle en k: k=',k
        do i=1,klon
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix(zxtrfl(iso_eau,i), &
                  zrfl(i), &
                  'il pleut 310',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
-        if (iso_HDO.gt.0) then  
+        endif !if (iso_eau.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix(zxtrfl(iso_HDO,i) &
                  ,zrfl(i),ridicule_rain,deltalim_snow,'il pleut 316')
-        endif  !if (iso_HDO.gt.0) then  
+        endif  !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC   
         CALL iso_verif_traceur(zxtrfl(1,i), &
@@ -528,5 +528,5 @@
 #endif
 #ifdef ISOVERIF   
-        !write(*,*) 'ilp tmp 412'      
+        !WRITE(*,*) 'ilp tmp 412'
        do i=1,klon
          do ixt=1,ntraciso
@@ -546,6 +546,6 @@
         zq(i)=q(i,k)
 #ifdef ISOVERIF
-        if (q(i,k).lt.0.0) then
-               write(*,*) 'ilp 400: avant clmain 31janv: i,k,q=', &
+        if (q(i,k).lt.0.0) THEN
+               WRITE(*,*) 'ilp 400: avant clmain 31janv: i,k,q=', &
                  i,k,q(i,k)
                CALL abort_physic('ilp 484', 'on stop ', 1)
@@ -567,17 +567,17 @@
          ! cam verif
 #ifdef ISOVERIF
-         !write(*,*) 'ilp tmp 562'
+         !WRITE(*,*) 'ilp tmp 562'
              CALL iso_verif_positif(370.0-zt(i),'il pleut 425')
              CALL iso_verif_positif(zt(i)-100.0,'il pleut 426')
-          if (iso_eau.gt.0) then        
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                          'il pleut 289',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if (iso_HDO.gt.0) then    
-             if (zq(i).gt.ridicule) then
+          endif !if (iso_eau.gt.0) THEN
+          if (iso_HDO.gt.0) THEN
+             if (zq(i).gt.ridicule) THEN
                CALL iso_verif_aberrant(zxt(iso_HDO,i)/zq(i), &
                  'il pleut 337')
-             endif !if (zq(i).gt.ridicule) then
-          endif  !if (iso_HDO.gt.0) then  
+             endif !if (zq(i).gt.ridicule) THEN
+          endif  !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur(zxt(1,i),'ilp 431')
@@ -609,5 +609,5 @@
            zcpair=RCPD*(1.0+RVTMP2*zq(i))
            zcpeau=RCPD*RVTMP2
-         if (fl_cor_ebil > 0) then
+         if (fl_cor_ebil > 0) THEN
            ! zmqc: masse de precip qui doit etre thermalisee avec l'air de la couche atm 
            ! pour s'assurer que la precip arrivant au sol aura bien la temperature de la 
@@ -652,6 +652,6 @@
       enddo   ! DO i = 1, klon  
 #ifdef ISOVERIF
-        !write(*,*) 'ilp tmp 616'
-      if (iso_eau.gt.0) then
+        !WRITE(*,*) 'ilp tmp 616'
+      if (iso_eau.gt.0) THEN
        DO i = 1, klon           
           CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
@@ -903,5 +903,5 @@
            ! Fusion de la glace
            zrfl(i)=zrfl(i)+zmelt*zifl(i)
-           if (fl_cor_ebil <= 0) then
+           if (fl_cor_ebil <= 0) THEN
              ! the following line should not be here. Indeed, if zifl is modified
              ! now, zifl(i)*zmelt is no more the amount of ice that has melt
@@ -937,5 +937,5 @@
      ! Calculer Qs et L/Cp*dQs/dT:
 #ifdef ISOVERIF
-!        write(*,*) 'ilp tmp 849'
+!        WRITE(*,*) 'ilp tmp 849'
            do i=1,klon
              CALL iso_verif_positif(370.0-zt(i),'il pleut 938')
@@ -944,37 +944,37 @@
               CALL iso_verif_positif_choix(zxt(ixt,i),0.0,'ilp 614')
              enddo   
-             if (zq(i).gt.ridicule) then
-               if (iso_HDO.gt.0) then
+             if (zq(i).gt.ridicule) THEN
+               if (iso_HDO.gt.0) THEN
                   CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                          'il pleut 856')
-                  if (iso_O18.gt.0) then                
+                  if (iso_O18.gt.0) THEN
                    if (iso_verif_O18_aberrant_nostop(zxt(iso_HDO,i)/zq(i), &
-                     zxt(iso_O18,i)/zq(i),'il pleut 859').eq.1) then
-                     write(*,*) 'i,k,zq=',i,k,zq(i)
-                     write(*,*) 'zqev_diag(i)=',zqev_diag(i)
-                     write(*,*) 'zrfl_ancien(i)=',zrfl_ancien(i)
-                     write(*,*) 'zrfln(i)=',zrfln(i)
-                     write(*,*) 'zq_ancien(i)=',zq_ancien(i)
-                     write(*,*) 'deltaD(zrfl_ancien)=',deltaD(zxtrfl_ancien(iso_HDO,i))
-                     write(*,*) 'deltaO(zrfl_ancien)=',deltaO(zxtrfl_ancien(iso_O18,i))
-                     write(*,*) 'deltaD(zq_ancien)=',deltaD(zxt_ancien(iso_HDO,i))
-                     write(*,*) 'deltaO(zq_ancien)=',deltaO(zxt_ancien(iso_O18,i))
-                     write(*,*) 'zt=',zt(i)
+                     zxt(iso_O18,i)/zq(i),'il pleut 859').eq.1) THEN
+                     WRITE(*,*) 'i,k,zq=',i,k,zq(i)
+                     WRITE(*,*) 'zqev_diag(i)=',zqev_diag(i)
+                     WRITE(*,*) 'zrfl_ancien(i)=',zrfl_ancien(i)
+                     WRITE(*,*) 'zrfln(i)=',zrfln(i)
+                     WRITE(*,*) 'zq_ancien(i)=',zq_ancien(i)
+                     WRITE(*,*) 'deltaD(zrfl_ancien)=',deltaD(zxtrfl_ancien(iso_HDO,i))
+                     WRITE(*,*) 'deltaO(zrfl_ancien)=',deltaO(zxtrfl_ancien(iso_O18,i))
+                     WRITE(*,*) 'deltaD(zq_ancien)=',deltaD(zxt_ancien(iso_HDO,i))
+                     WRITE(*,*) 'deltaO(zq_ancien)=',deltaO(zxt_ancien(iso_O18,i))
+                     WRITE(*,*) 'zt=',zt(i)
                      stop
                 endif !if (iso_verif_O18_aberrant_nostop
-               endif !if (iso_O18.gt.0) then
-              endif !if (iso_HDO.gt.0) then
-             endif !if (zq(i).gt.ridicule) then                
+               endif !if (iso_O18.gt.0) THEN
+              endif !if (iso_HDO.gt.0) THEN
+             endif !if (zq(i).gt.ridicule) THEN
            enddo !do i=1,klon
 #ifdef ISOTRAC
-!      write(*,*) 'ilp tmp 633'
+!      WRITE(*,*) 'ilp tmp 633'
            do i=1,klon
               CALL iso_verif_traceur(zxtrfl(1,i),'il pleut 632')
            enddo
-!      write(*,*) 'ilp tmp 637,thermcep'
+!      WRITE(*,*) 'ilp tmp 637,thermcep'
 #endif           
 #endif    
 #ifdef ISOVERIF
-!        write(*,*) 'ilp tmp 888'
+!        WRITE(*,*) 'ilp tmp 888'
            do i=1,klon
             do ixt=1,ntraciso
@@ -982,5 +982,5 @@
             enddo !do ixt=1,ntraciso
            enddo ! do i=1,klon
-!        write(*,*) 'ilp tmp 638: k,zoliq,zxtoliq(1,363)=',k,zoliq(363),zxtoliq(1,363)
+!        WRITE(*,*) 'ilp tmp 638: k,zoliq,zxtoliq(1,363)=',k,zoliq(363),zxtoliq(1,363)
 #endif
 
@@ -1018,6 +1018,6 @@
 
 !verification de la valeur de iflag_fisrtilp_qsat pour iflag_ice_thermo=1
-!       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) then
-!         write(*,*) " iflag_ice_thermo==1 requires iflag_fisrtilp_qsat==0", &
+!       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) THEN
+!         WRITE(*,*) " iflag_ice_thermo==1 requires iflag_fisrtilp_qsat==0", &
 !        " but iflag_fisrtilp_qsat=",iflag_fisrtilp_qsat, ". Might as well stop here."
 !         stop
@@ -1056,11 +1056,11 @@
 #ifdef ISOVERIF
         do i=1,klon
-          if (iso_eau.gt.0) then    
+          if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop(zxt(iso_eau,i),zq(i), &
-                  'il pleut 608',errmax,errmaxrel).eq.1) then
-              write(*,*) 'i=',i
+                  'il pleut 608',errmax,errmaxrel).eq.1) THEN
+              WRITE(*,*) 'i=',i
               stop
             endif
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur(zxt(1,i),'il pleut 1106')
@@ -1070,6 +1070,5 @@
 #endif 
 
-        if (iflag_pdf.eq.0) then
-
+        if (iflag_pdf.eq.0) THEN
            ! version creneau de (Li, 1998)
            do i=1,klon
@@ -1085,5 +1084,5 @@
            ! ----------------------------------------------------------------
            do i=1,klon
-              if(zq(i).lt.1.e-15) then
+              IF(zq(i).lt.1.e-15) THEN
                  ncoreczq=ncoreczq+1
 #ifdef ISO
@@ -1093,21 +1092,20 @@
 #ifdef ISO
                 ! on conserve le même rapport pour les isotopes
-                if (zq_ancien(i).gt.0.0) then
+                if (zq_ancien(i).gt.0.0) THEN
                    do ixt=1,ntraciso
                      zxt(ixt,i)=zxt(ixt,i)/zq_ancien(i)*zq(i)
                      zxt(ixt,i)=max(0.0,zxt(ixt,i))
                    enddo   
-                else !if (zq_ancien(i).gt.0.0) then
+                else !if (zq_ancien(i).gt.0.0) THEN
                     do ixt=1,ntraciso
                      zxt(ixt,i)=0.0
                    enddo 
-                endif !if (zq_ancien(i).gt.0.0) then
-
+                endif !if (zq_ancien(i).gt.0.0) THEN
                 ! verif
 #ifdef ISOVERIF
-                  if (iso_eau.gt.0) then
+                  if (iso_eau.gt.0) THEN
                     CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                        'il pleut 654',errmax,errmaxrel)
-                  endif !if (iso_eau.gt.0) then
+                  endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
              CALL iso_verif_traceur(zxt(1,i),'il pleut 1207')
@@ -1119,7 +1117,6 @@
            enddo
 
-           if (iflag_cld_th>=5) then
-
-              if (iflag_cloudth_vert<=2) then
+           if (iflag_cld_th>=5) THEN
+              if (iflag_cloudth_vert<=2) THEN
                CALL cloudth(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -1128,5 +1125,5 @@
                    cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-              elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) then
+              elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) THEN
                CALL cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -1138,5 +1135,5 @@
               !Version these Jean Jouhaud, Decembre 2018 
               !----------------------------------              
-              elseif (iflag_cloudth_vert==6) then
+              elseif (iflag_cloudth_vert==6) THEN
                CALL cloudth_v6(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -1155,7 +1152,7 @@
            endif
 
-           if (iflag_cld_th <= 4) then
+           if (iflag_cld_th <= 4) THEN
               lognormale = .TRUE.
-           elseif (iflag_cld_th >= 6) then
+           elseif (iflag_cld_th >= 6) THEN
               ! lognormale en l'absence des thermiques
               lognormale = fraca(:,k) < 1e-10
@@ -1190,5 +1187,5 @@
 
 !Boucle iterative: ATTENTION, l'option -1 n'est plus activable ici
-           if (iflag_fisrtilp_qsat.ge.0) then
+           if (iflag_fisrtilp_qsat.ge.0) THEN
              ! Iteration pour condensation avec variation de qsat(T) 
              ! -----------------------------------------------------
@@ -1200,5 +1197,5 @@
                  ! ------------------------------
                  convergence(i)=abs(DT(i)).gt.DDT0
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
+                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) THEN
                  ! si on n'a pas converge
 
@@ -1212,11 +1209,11 @@
 
                  Tbef(i)=Tbef(i)+DT(i) ! nouvelle temperature
-                 if (.not.ice_thermo) then   
+                 if (.not.ice_thermo) THEN
                     zdelta = MAX(0.,SIGN(1.,RTT-Tbef(i)))
                  else
-                    if (iflag_t_glace.eq.0) then
+                    if (iflag_t_glace.eq.0) THEN
                     zdelta = MAX(0.,SIGN(1.,t_glace_min_old-Tbef(i)))
-                    else if (iflag_t_glace.ge.1) then
-                       if (iflag_oldbug_fisrtilp.EQ.0) then
+                    else if (iflag_t_glace.ge.1) THEN
+                       if (iflag_oldbug_fisrtilp.EQ.0) THEN
                           zdelta = MAX(0.,SIGN(1.,t_glace_max-Tbef(i)))
                        else
@@ -1228,5 +1225,5 @@
                  ! Calcul de rneb, qzn et zcond pour les PDF lognormales
                  zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-               if (fl_cor_ebil .GT. 0) then
+               if (fl_cor_ebil .GT. 0) THEN
                  zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
                else
@@ -1250,5 +1247,5 @@
                  zpdf_e2(i)=1.-erf(zpdf_e2(i))
              
-                 if (zpdf_e1(i).lt.1.e-10) then
+                 if (zpdf_e1(i).lt.1.e-10) THEN
                     rneb(i,k)=0.
                     zqn(i)=zqs(i)
@@ -1259,5 +1256,5 @@
 
                  ! If vertical heterogeneity, change fraction by volume as well
-                 if (iflag_cloudth_vert>=3) then
+                 if (iflag_cloudth_vert>=3) THEN
                    ctot_vol(i,k)=rneb(i,k)
                    rneblsvol(i,k)=ctot_vol(i,k)
@@ -1274,11 +1271,10 @@
                  ! DT : variation de temperature due a la condensation 
 
-                 if (.not. ice_thermo) then
+                 if (.not. ice_thermo) THEN
                  ! --------------------------
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
-
+                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) THEN
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil .GT. 0) then
+               if (fl_cor_ebil .GT. 0) THEN
                  num=-Tbef(i)+zt(i)+rneb(i,k)*RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
                else
@@ -1293,12 +1289,11 @@
                  else ! if (.not. ice_thermo)
                  ! --------------------------
-                 if (iflag_t_glace.ge.1) then
+                 if (iflag_t_glace.ge.1) THEN
                  CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
                  endif
 
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
-                 
-                 if (iflag_t_glace.eq.0) then
+                 if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) THEN
+                 if (iflag_t_glace.eq.0) THEN
                     zfice(i) = 1.0 - (Tbef(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1308,14 +1303,14 @@
                  endif
                  
-                 if (iflag_t_glace.ge.1.and.zfice(i)>0.) then
+                 if (iflag_t_glace.ge.1.and.zfice(i)>0.) THEN
                  dzfice(i)= exposant_glace * zfice(i)**(exposant_glace-1) &
                                / (t_glace_min - t_glace_max)
                  endif
                
-                 if ((zfice(i).eq.0).or.(zfice(i).eq.1)) then
+                 if ((zfice(i).eq.0).or.(zfice(i).eq.1)) THEN
                     dzfice(i)=0.
                  endif
 
-                 if (zfice(i).lt.1) then
+                 if (zfice(i).lt.1) THEN
                     cste=RLVTT
                  else
@@ -1324,5 +1319,5 @@
 
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil .GT. 0) then
+               if (fl_cor_ebil .GT. 0) THEN
                  num = -Tbef(i)+zt(i)+rneb(i,k)*((1-zfice(i))*RLVTT &
                       +zfice(i)*RLSTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
@@ -1354,5 +1349,5 @@
         endif ! iflag_pdf
 
-!        if (iflag_fisrtilp_qsat.eq.-1) then 
+!        if (iflag_fisrtilp_qsat.eq.-1) THEN
 !------------------------------------------
 !CR: ATTENTION option fausse mais a existe:
@@ -1410,5 +1405,5 @@
         ENDDO
         ! If vertical heterogeneity, change fraction by volume as well
-        if (iflag_cloudth_vert>=3) then
+        if (iflag_cloudth_vert>=3) THEN
           ctot_vol(1:klon,k)=min(max(ctot_vol(1:klon,k),0.),1.)
           rneblsvol(1:klon,k)=ctot_vol(1:klon,k)
@@ -1442,15 +1437,15 @@
          do i=1,klon  
 #ifdef ISOTRAC
-            if (option_tmin.eq.1) then
+            if (option_tmin.eq.1) THEN
                 ! c'est mieux si zqn>=0.0
-            if (essai_convergence) then
+            if (essai_convergence) THEN
             else
                 zqn(i)=max(0.0,zqn(i))
             endif    
 
-            if (rneb(i,k).lt.1.0) then
+            if (rneb(i,k).lt.1.0) THEN
                 zqcs(i)=(zq(i)-zqn(i)*rneb(i,k))/(1.0-rneb(i,k))
 #ifdef ISOVERIF
-!                write(*,*) 'rneb,zq,zqn,zqcs=',rneb(i,k),zq(i), &
+!                WRITE(*,*) 'rneb,zq,zqn,zqcs=',rneb(i,k),zq(i), &
 !     &                zqn(i),zqcs(i)
                 CALL iso_verif_positif(zqcs(i),'ipleut 853')
@@ -1459,11 +1454,11 @@
                 zqcs(i)=0.0
             endif
-            endif ! if (option_tmin.eq.1) then
+            endif ! if (option_tmin.eq.1) THEN
 #endif                  
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(zxt(iso_eau,i),zq(i), &
                          'il pleut 748',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
               do ixt=1,ntraciso
                 CALL iso_verif_positif_choix(zxt(ixt,i),0.0,'ilp 857')
@@ -1475,18 +1470,18 @@
 #endif
               if ((bidouille_anti_divergence).and. &
-                 (iso_eau.gt.0)) then
+                 (iso_eau.gt.0)) THEN
                 zxt(iso_eau,i)= max(zq(i),0.0)  
-!                if (zxt(iso_eau,i).gt.0.0) then
+!                if (zxt(iso_eau,i).gt.0.0) THEN
 !                    do ixt=1,niso
 !                        zxt(ixt,i)=zxt(ixt,i)*zq(i)/zxt(iso_eau,i)
 !                    enddo
-!                else !if (zxt(iso_eau,i).gt.0.0) then
+!                else !if (zxt(iso_eau,i).gt.0.0) THEN
 !                    do ixt=1,niso
 !                        zxt(ixt,i)=0.0
 !                    enddo    
-!                endif !if (zxt(iso_eau,i).gt.0.0) then
+!                endif !if (zxt(iso_eau,i).gt.0.0) THEN
               endif !if ((bidouille_anti_divergence).and. 
 
-              if (zq(i).gt.1e-15) then   
+              if (zq(i).gt.1e-15) THEN
                 ! 2 fev 2010: on modifie seuil de zq  
                 ! avant, c'était 0. Vérifier que ça n'a pas de
@@ -1496,11 +1491,11 @@
                 enddo !do ixt=1,niso         
 #ifdef ISOTRAC
-               if (option_tmin.eq.1) then
+               if (option_tmin.eq.1) THEN
                  do ixt=1,ntraciso
                    zxtcs(ixt,i)=(zqcs(i))*(zxt(ixt,i)/zq(i))
                  enddo !do ixt=1,ntraciso
-               endif ! if (option_tmin.eq.1) then
+               endif ! if (option_tmin.eq.1) THEN
 #endif                
-              else !if (zq(i).gt.0.0) then 
+              else !if (zq(i).gt.0.0) THEN
                   ! problème: zq~0 et sans compo, mais zqn >0
                   ! on fait ce qu'on peut dans ce cas pathologique
@@ -1509,92 +1504,91 @@
                 enddo !do ixt=1,niso 
 #ifdef ISOTRAC
-                if (option_tmin.eq.1) then
+                if (option_tmin.eq.1) THEN
                  do ixt=1,ntraciso
                    zxtcs(ixt,i)=0.0
                  enddo !do ixt=1,niso    
-                endif ! if (option_tmin.eq.1) then
+                endif ! if (option_tmin.eq.1) THEN
 #endif                     
                 if ((bidouille_anti_divergence) &
-                         .and.(iso_eau.gt.0)) then
-!                   write(*,*) 'ilp tmp 848: warning: bidouille'
+                         .and.(iso_eau.gt.0)) THEN
+!                   WRITE(*,*) 'ilp tmp 848: warning: bidouille'
                    zxtn(iso_eau,i)=zqn(i)
 #ifdef ISOTRAC
                    zxtn(itZonIso(izone_poubelle,iso_eau),i)=zqn(i)  
-                   if (option_tmin.eq.1) then                   
+                   if (option_tmin.eq.1) THEN
                      zxtcs(iso_eau,i)=zqcs(i)
-                   endif ! if (option_tmin.eq.1) then
-!                   write(*,*) 'zxtn(:,i)=',zxtn(:,i)
+                   endif ! if (option_tmin.eq.1) THEN
+!                   WRITE(*,*) 'zxtn(:,i)=',zxtn(:,i)
 #endif                   
                 endif !if ((bidouille_anti_divergence)
-              endif  !if (zq(i).gt.0.0) then 
-
+              endif  !if (zq(i).gt.0.0) THEN
 #ifdef ISOVERIF
              do ixt=1,niso     
                   CALL iso_verif_positif(zxtn(ixt,i),'il pleut 1062')
              enddo !do ixt=1,niso
-             if (iso_eau.gt.0) then
+             if (iso_eau.gt.0) THEN
                    CALL iso_verif_egalite_choix(zxtn(iso_eau,i),zqn(i), &
                          'il pleut 932',errmax,errmaxrel)
-             endif !if ((iso_eau.gt.0)) then
+             endif !if ((iso_eau.gt.0)) THEN
 #ifdef ISOTRAC
-!             write(*,*) 'zxt(:,i)=',zxt(:,i)   
-!             write(*,*) 'zq,zqn=',zq(i) ,zqn(i)  
+!             WRITE(*,*) 'zxt(:,i)=',zxt(:,i)
+!             WRITE(*,*) 'zq,zqn=',zq(i) ,zqn(i)
              CALL iso_verif_traceur_pbidouille(zxtn(1,i), &
                  'il pleut 1277')
-             if (option_tmin.eq.1) then
+             if (option_tmin.eq.1) THEN
               CALL iso_verif_positif(zxtcs(ixt,i),'il pleut 895')
               do ixt=1,niso     
                CALL iso_verif_positif(zxtcs(ixt,i),'il pleut 897')
               enddo !do ixt=1,niso
-              if (iso_eau.gt.0) then
+              if (iso_eau.gt.0) THEN
                CALL iso_verif_egalite_choix(zxtcs(iso_eau,i), &
                     zqcs(i),'il pleut 733',errmax,errmaxrel)
-              endif !if ((iso_eau.gt.0)) then
-             endif ! if (option_tmin.eq.1) then
+              endif !if ((iso_eau.gt.0)) THEN
+             endif ! if (option_tmin.eq.1) THEN
 #endif 
 #endif                   
-!                 write(*,*) 'il pleut 695: calcul de zxtn, i=',i
-!                 write(*,*) 'zxtn(4,i)=',zxtn(4,i)
-!                 write(*,*) 'zqn(i)=',zqn(i)
+!                 WRITE(*,*) 'il pleut 695: calcul de zxtn, i=',i
+!                 WRITE(*,*) 'zxtn(4,i)=',zxtn(4,i)
+!                 WRITE(*,*) 'zqn(i)=',zqn(i)
               do ixt=1,ntraciso    
                zxtn(ixt,i)=max(0.0,zxtn(ixt,i))          
               enddo !do ixt=1,niso
 #ifdef ISOTRAC
-              if (option_tmin.eq.1) then
+              if (option_tmin.eq.1) THEN
               do ixt=1,ntraciso
                zxtcs(ixt,i)=max(0.0,zxtcs(ixt,i))
               enddo
-              endif ! if (option_tmin.eq.1) then
+              endif ! if (option_tmin.eq.1) THEN
 #endif                            
 
 #ifdef ISOVERIF
-               if (iso_eau.gt.0) then
+               if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(zxtn(iso_eau,i),zqn(i), &
                          'il pleut 746',errmax,errmaxrel)
-               endif !if (iso_eau.gt.0) then
-               if (iso_HDO.gt.0) then
-                if (zqn(i).gt.ridicule) then
+               endif !if (iso_eau.gt.0) THEN
+               if (iso_HDO.gt.0) THEN
+                if (zqn(i).gt.ridicule) THEN
                    CALL iso_verif_aberrant(zxtn(iso_HDO,i)/zqn(i), &
                          'il pleut 977')
-                endif  !if (zqn(i).gt.ridicule) then
-               endif  !if (iso_HDO.gt.0) then  
+                endif  !if (zqn(i).gt.ridicule) THEN
+               endif  !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC               
              CALL iso_verif_traceur_pbidouille  &
                         (zxtn(1,i),'il pleut 1300')
-             if (option_tmin.eq.1) then
-               if (iso_eau.gt.0) then   
+             if (option_tmin.eq.1) THEN
+               if (iso_eau.gt.0) THEN
                    CALL iso_verif_egalite_choix(zxtcs(iso_eau,i), &
                          zqcs(i), &
                          'il pleut 971',errmax,errmaxrel)
-               endif !if (iso_eau.gt.0) then
+               endif !if (iso_eau.gt.0) THEN
                CALL iso_verif_traceur_pbidouille &
                         (zxtcs(1,i),'il pleut 1300')
              
-             endif ! if (option_tmin.eq.1) then
+             endif ! if (option_tmin.eq.1) THEN
 #endif                
 #endif   
          enddo ! do i=1,klon
          
-!        write(*,*) 'ilp tmp 1311: zoliq,zxtoliq(1,363)=',zoliq(363),zxtoliq(1,363)
+!        WRITE(*,*) 'ilp tmp 1311: zoliq,zxtoliq(1,363)=',zoliq(363),zxtoliq(1,363)
 #endif    
 
@@ -1613,11 +1607,11 @@
 
      IF (.NOT. ice_thermo) THEN
-        if (iflag_fisrtilp_qsat.lt.1) then
+        if (iflag_fisrtilp_qsat.lt.1) THEN
            DO i = 1, klon
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*zq(i))
            ENDDO
-        else if (iflag_fisrtilp_qsat.gt.0) then
+        else if (iflag_fisrtilp_qsat.gt.0) THEN
            DO i= 1, klon
-    if (fl_cor_ebil .GT. 0) then
+    if (fl_cor_ebil .GT. 0) THEN
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
     else
@@ -1627,13 +1621,13 @@
         endif
      ELSE
-         if (iflag_t_glace.ge.1) then
+         if (iflag_t_glace.ge.1) THEN
             CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
          endif
-         if (iflag_fisrtilp_qsat.lt.1) then
+         if (iflag_fisrtilp_qsat.lt.1) THEN
            DO i = 1, klon
 ! JBM: icefrac_lsc is now a function contained in icefrac_lsc_mod
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace.eq.0) then
+              if (iflag_t_glace.eq.0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1648,10 +1642,10 @@
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace.eq.0) then
+              if (iflag_t_glace.eq.0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
                     zfice(i) = zfice(i)**exposant_glace_old
               endif
-        if (fl_cor_ebil .GT. 0) then
+        if (fl_cor_ebil .GT. 0) THEN
               zt(i) = zt(i) + (1.-zfice(i))*zcond(i) & 
                          * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i))) &
@@ -1670,17 +1664,17 @@
 #ifdef ISO          
 #ifdef ISOVERIF
-!        write(*,*) 'ilp tmp 1823'
+!        WRITE(*,*) 'ilp tmp 1823'
       do i=1,klon
         ! verif
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(zxtn(iso_eau,i),zqn(i), &
                  'il pleut 810',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then 
+        endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(zxtn(1,i),'il pleut 1408')
-!        write(*,*) 'fisrtilp 1421: appel condiso_liq_ice_vectall'
+!        WRITE(*,*) 'fisrtilp 1421: appel condiso_liq_ice_vectall'
 #endif
        enddo !do i=1,klon 
-!       write(*,*) 'il pleut 961: avant condensation'
+!       WRITE(*,*) 'il pleut 961: avant condensation'
        ! end verif
 #endif
@@ -1701,10 +1695,10 @@
 #ifdef ISOTRAC
 !#ifdef ISOVERIF
-!        write(*,*) 'il pleut 980: condensation pour les traceurs'
+!        WRITE(*,*) 'il pleut 980: condensation pour les traceurs'
 !#endif        
         CALL condiso_liq_ice_vectall_trac(zxtn,zqn,zcond, &
                   zt,zfice,zxtice,zxtliq,klon)
 #ifdef ISOVERIF
-!        write(*,*) 'ilp tmp 1859'
+!        WRITE(*,*) 'ilp tmp 1859'
         do i=1,klon             
              CALL iso_verif_traceur(zxtn(1,i),'il pleut 1428a')
@@ -1734,5 +1728,5 @@
 #endif       
 #ifdef ISOVERIF       
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           do i=1,klon      
               CALL iso_verif_egalite_choix(zxtcond(iso_eau,i),zcond(i), &
